.output-statement{
  .echartsClass{
    width: 100%;
    min-height: 500px;
    padding-left: 15px;
    //height: 100%;
  }
  .output-statement-heading{
    margin-bottom: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  .statement-title{
    padding: 10px;
    .label-title{
      font-size: 16px;
      background-color: rgba(223, 230, 243, 0.27);
      padding-left: 10px;
      padding-top: 5px;
      padding-right: 10px;
    }
    .input-title{
      display: inline-block;
      width: 73%;
    }
  }
  .output-statement-title{
    .output-statement-menus{
      margin: 26px;
      padding: 15px;

      a{
        color: #674B4B;
        margin: 0 20px;
        padding: 20px 50px;
        border-radius: 4px;
        font-weight: bold;
        font-size: 18px;
      }
      a:hover,a:visited,a:focus,a:active{
        cursor: pointer;
        color: white;
        text-decoration: none;
      }

      .output-statement-area{
        background-color: #F8CFF8;
        border: 1px #F8CFF8 solid;
      }
      .output-statement-area:hover,
      .output-statement-area:visited,
      .output-statement-area:focus,
      .output-statement-area:active
      {
        background-color: #EA82EA;
        border: 1px #F15CF1 solid;
        box-shadow: 0px 0px 2px ;

      }
      .output-statement-wire{
        background-color: #A7DEF5;
        border: 1px #A7DEF5 solid;
      }
      .output-statement-wire:hover,
      .output-statement-wire:visited,
      .output-statement-wire:focus,
      .output-statement-wire:active
      {
        background-color: #47BCEC;
        border: 1px #0CB2F7 solid;
        box-shadow: 0px 0px 2px ;
      }
      .output-statement-devi{
        background-color: antiquewhite;
        border: 1px antiquewhite  solid;
      }
      .output-statement-devi:hover,
      .output-statement-devi:visited,
      .output-statement-devi:focus,
      .output-statement-devi:active
      {
        background-color: #E6C393;
        border: 1px #F2982C  solid;
        box-shadow: 0px 0px 2px ;
      }
      .output-statement-type{
        background-color: #C798F1;
        border: 1px #C798F1  solid;
      }
      .output-statement-type:hover,
      .output-statement-type:visited,
      .output-statement-type:focus,
      .output-statement-type:active
      {
        background-color: #B263F9;
        border: 1px #9834F7  solid;
        box-shadow: 0px 0px 2px ;
      }
    }
  }
}
.modal-body{
  .chat-group{
    .margintop{
      margin-top: 25px;
    }
    .chat-user-title.area{
      background: -webkit-gradient(linear,center top,center bottom,from(#EA85EA), to(#FDD8FD));
    }
    .chat-user-title.wire{
      background: -webkit-gradient(linear,center top,center bottom,from(#79CEF2), to(#A7DEF5));
    }
    .chat-user-title.device{
      background: -webkit-gradient(linear,center top,center bottom,from(#E6C393), to(antiquewhite));
    }
  }
}
.modal-footer{
  .btn-pink {
    background-color: #EA85EA;
    border-color: #FDD8FD;
    color: #FFFFFF;
  }
  .btn-pink:hover,
  .btn-pink:focus,
  .btn-pink:active,
  .btn-pink.active,
  .open .dropdown-toggle.btn-pink,
  .btn-pink:active:focus,
  .btn-pink:active:hover,
  .btn-pink.active:hover,
  .btn-pink.active:focus {
    background-color: #EA82EA;
    border-color: #EA82EA;
    color: #FFFFFF;
  }
  .btn-pink:active,
  .btn-pink.active,
  .open .dropdown-toggle.btn-pink {
    background-image: none;
  }
  .btn-pink.disabled,
  .btn-pink.disabled:hover,
  .btn-pink.disabled:focus,
  .btn-pink.disabled:active,
  .btn-pink.disabled.active,
  .btn-pink[disabled],
  .btn-pink[disabled]:hover,
  .btn-pink[disabled]:focus,
  .btn-pink[disabled]:active,
  .btn-pink.active[disabled],
  fieldset[disabled] .btn-pink,
  fieldset[disabled] .btn-pink:hover,
  fieldset[disabled] .btn-pink:focus,
  fieldset[disabled] .btn-pink:active,
  fieldset[disabled] .btn-pink.active {
    background-color: #EA85EA;
    border-color: #EA85EA;
  }
  .btn-bluelight {
    background-color: #67C6ED;
    border-color: #67C6ED;
    color: #FFFFFF;
  }
  .btn-bluelight:hover,
  .btn-bluelight:focus,
  .btn-bluelight:active,
  .btn-bluelight.active,
  .open .dropdown-toggle.btn-bluelight,
  .btn-bluelight:active:focus,
  .btn-bluelight:active:hover,
  .btn-bluelight.active:hover,
  .btn-bluelight.active:focus {
    background-color: #47BCEC;
    border-color: #47BCEC;
    color: #FFFFFF;
  }
  .btn-bluelight:active,
  .btn-bluelight.active,
  .open .dropdown-toggle.btn-pink {
    background-image: none;
  }
  .btn-bluelight.disabled,
  .btn-bluelight.disabled:hover,
  .btn-bluelight.disabled:focus,
  .btn-bluelight.disabled:active,
  .btn-bluelight.disabled.active,
  .btn-bluelight[disabled],
  .btn-bluelight[disabled]:hover,
  .btn-bluelight[disabled]:focus,
  .btn-bluelight[disabled]:active,
  .btn-bluelight.active[disabled],
  fieldset[disabled] .btn-bluelight,
  fieldset[disabled] .btn-bluelight:hover,
  fieldset[disabled] .btn-bluelight:focus,
  fieldset[disabled] .btn-bluelight:active,
  fieldset[disabled] .btn-bluelight.active {
    background-color: #A7DEF5;
    border-color: #A7DEF5;
  }

  .btn-yellowlight {
    background-color: #F2C47E;
    border-color: #F2C47E;
    color: #FFFFFF;
  }
  .btn-yellowlight:hover,
  .btn-yellowlight:focus,
  .btn-yellowlight:active,
  .btn-yellowlight.active,
  .open .dropdown-toggle.btn-yellowlight,
  .btn-yellowlight:active:focus,
  .btn-yellowlight:active:hover,
  .btn-yellowlight.active:hover,
  .btn-yellowlight.active:focus {
    background-color: #E6C393;
    border-color: #E6C393;
    color: #FFFFFF;
  }
  .btn-yellowlight:active,
  .btn-yellowlight.active,
  .open .dropdown-toggle.btn-yellowlight {
    background-image: none;
  }
  .btn-yellowlight.disabled,
  .btn-yellowlight.disabled:hover,
  .btn-yellowlight.disabled:focus,
  .btn-yellowlight.disabled:active,
  .btn-yellowlight.disabled.active,
  .btn-yellowlight[disabled],
  .btn-yellowlight[disabled]:hover,
  .btn-yellowlight[disabled]:focus,
  .btn-yellowlight[disabled]:active,
  .btn-yellowlight.active[disabled],
  fieldset[disabled] .btn-yellowlight,
  fieldset[disabled] .btn-yellowlight:hover,
  fieldset[disabled] .btn-yellowlight:focus,
  fieldset[disabled] .btn-yellowlight:active,
  fieldset[disabled] .btn-yellowlight.active {
    background-color: antiquewhite;
    border-color: antiquewhite;
  }
}
